# PetscMapGetGlobalRange

gets the range of values owned by all processes

### Synopsis

    #include "petscvec.h"
    #undef __FUNCT__
    #define __FUNCT__ "PetscMapGetGlobalRange"
    PetscErrorCode PETSCVEC_DLLEXPORT PetscMapGetGlobalRange(PetscMap *map,const PetscInt *range[])

Not Collective

### Input Parameters

map -pointer to the map

### Output Parameters

range -start of each processors range of indices (the final entry is one more then the last index on the last process)

### Notes

Call this after the call to PetscMapSetUp()

Unlike regular PETSc objects you work with a pointer to the object instead of the object directly.

### Fortran Notes

Not available from Fortran

### See Also

PetscMapInitialize(), PetscMapSetLocalSize(), PetscMapGetLocalSize(), PetscMapSetSize(),
PetscMapGetSize(), PetscMapGetLocalRange(), PetscMapSetBlockSize(), PetscMapGetSize(), PetscMapSetUp()

Level:intermediate
Location: src/vec/vec/impls/mpi/pmap.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages